#!/bin/bash

#set -x

FCITX_SERVICE=org.fcitx.Fcitx
FCITX_OBJECT=/inputmethod 
FCITX_API=org.fcitx.Fcitx.InputMethod

function on_click_event {
    IMSTATE=`gdbus call -e -d $FCITX_SERVICE -o $FCITX_OBJECT -m $FCITX_API.GetCurrentState`
    if [ "$IMSTATE" == "(2,)" ]; then
        CURRENTIM=`gdbus call -e -d $FCITX_SERVICE -o $FCITX_OBJECT -m $FCITX_API.GetCurrentIM`
        if [ "$CURRENTIM" == "('kylinvk',)" ]; then
            gdbus call -e -d com.deepin.VirtualKeyboard -o \
                /com/deepin/VirtualKeyboard -m \
                com.deepin.VirtualKeyboard.ShowKeyboard
        elif [ "$CURRENTIM" == "sogouime-kylin-v4-tablet" ]; then
            gdbus call -e -d com.cpis.panel -o /com/cpis/panel  -m \
                com.cpis.panel.Show $USER softkeyboard
        fi
    elif [ "$IMSTATE" == "(1,)" ]; then
	fcitx-remote -t
    fi
}

sleep 0.6 && on_click_event &
